commit f9609304cd7ffe553e3da325287973a0b2a4446c
Author: Heiko Schlichting <heiko@fu-berlin.de>
Date:   Thu Feb 29 19:26:48 2024 +0000

    Fix crash on empty -oMt argument.  Bug 3070

diff --git a/src/src/smtp_in.c b/src/src/smtp_in.c
index ff768e94c..f62d6fbf2 100644
--- a/src/src/smtp_in.c
+++ b/src/src/smtp_in.c
@@ -1352,7 +1352,7 @@ if (host_checking)
   g = string_cat(g, hostname);
 
 else if (f.sender_host_unknown || f.sender_host_notsocket)
-  g = string_cat(g, sender_ident);
+  g = string_cat(g, sender_ident ? sender_ident : US"NULL");
 
 else if (f.is_inetd)
   g = string_append(g, 2, hostname, US" (via inetd)");

